Package com.sun.jna.platform.win32

## Class BaseTSD.ULONG_PTR

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.BaseTSD.ULONG_PTR

All Implemented Interfaces:
  `NativeMapped`, `java.io.Serializable`

Direct Known Subclasses:
  `BaseTSD.SIZE_T`, `WinCrypt.HCRYPTPROV_LEGACY`

Enclosing interface:
  BaseTSD

    public static class BaseTSD.ULONG_PTR
    extends IntegerType

Unsigned LONG_PTR.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ULONG_PTR()`
`ULONG_PTR​(long value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Pointer` `toPointer()`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ULONG_PTR

    public ULONG_PTR()

#### ULONG_PTR

    public ULONG_PTR​(long value)

### Method Detail

#### toPointer

    public Pointer toPointer()